\version "2.11.13"

\include "PianoMvtI.lyi"
\include "PianoMvtII.lyi"
\include "PianoMvtIII.lyi"
\include "defs.lyi"

instrument = "Piano"

\paper
{
  between-system-padding = #0.1
  %between-system-space = #0.1
  ragged-last-bottom = ##f
}

\book
{
  \include "Header.lyi"
  \score
  {
    \new PianoStaff
    <<
      \new Staff="RH"
      {
        #(set-accidental-style 'modern)
        \set Staff.extraNatural = ##f
        \pianoRightMvtI
      }

      \new Dynamics = "dynamics" \pianoDynamicsMvtI

      \new Staff="LH"
      {
        #(set-accidental-style 'modern)
        \set Staff.extraNatural = ##f
        << \pianoLeftMvtI \pianoPedalsMvtI >>
      }

      %\new Dynamics = "pedals" \pianoPedalsMvtI

      \outlineMvtI
    >>
    \layout
    {
      \context
      {
        \type "Engraver_group"
        \name "Dynamics"
        \alias Voice
        \consists "Output_property_engraver"

        \override VerticalAxisGroup #'minimum-Y-extent = #'(-1 . 1)
        pedalSustainStrings = #'("Ped." "*Ped." "*")
        pedalUnaCordaStrings = #'("una corda" "" "tre corde")

        \consists "Piano_pedal_engraver"
        \consists "Script_engraver"
        \consists "Dynamic_engraver"
        \consists "Text_engraver"
        \consists "Text_spanner_engraver"

        %\override TextScript #'font-size = #2
        %\override TextScript #'font-shape = #'italic
        \override TextScript #'extra-offset = #'(0 . 1.75)
        \override DynamicText #'extra-offset = #'(0 . 2.5)
        \override Hairpin #'extra-offset = #'(0 . 2.5)

        \consists "Skip_event_swallow_translator"

        \consists "Axis_group_engraver"
      }
      \context
      {
        \PianoStaff
        \accepts Dynamics
        \override VerticalAlignment #'forced-distance = #7
      }
    }
  }

%-----------------------------------------------------------------------------

  \score
  {
    \new PianoStaff
    <<
      \new Staff="RH"
      {
        #(set-accidental-style 'modern)
        \set Staff.extraNatural = ##f
        \pianoRightMvtII
      }

      \new Dynamics = "dynamics" \pianoDynamicsMvtII

      \new Staff="LH"
      {
        #(set-accidental-style 'modern)
        \set Staff.extraNatural = ##f
        << \pianoLeftMvtII \pianoPedalsMvtII >>
      }

      %\new Dynamics = "pedals" \pianoPedalsMvtII

      \outlineMvtII
    >>
    \layout
    {
      \context
      {
        \type "Engraver_group"
        \name "Dynamics"
        \alias Voice
        \consists "Output_property_engraver"

        \override VerticalAxisGroup #'minimum-Y-extent = #'(-1 . 1)
        pedalSustainStrings = #'("Ped." "*Ped." "*")
        pedalUnaCordaStrings = #'("una corda" "" "tre corde")

        \consists "Piano_pedal_engraver"
        \consists "Script_engraver"
        \consists "Dynamic_engraver"
        \consists "Text_engraver"

        %\override TextScript #'font-size = #2
        %\override TextScript #'font-shape = #'italic
        \override TextScript #'extra-offset = #'(0 . 1.75)
        \override DynamicText #'extra-offset = #'(0 . 2.5)
        \override Hairpin #'extra-offset = #'(0 . 2.5)

        \consists "Skip_event_swallow_translator"

        \consists "Axis_group_engraver"
      }
      \context
      {
        \PianoStaff
        \accepts Dynamics
        \override VerticalAlignment #'forced-distance = #7
      }
    }
  }

%-----------------------------------------------------------------------------

  \score
  {
    \new PianoStaff
    <<
      \new Staff="RH"
      {
        #(set-accidental-style 'modern)
        \set Staff.extraNatural = ##f
        << \outlineMvtIII \pianoRightMvtIII >>
      }

      \new Dynamics = "dynamics" \pianoDynamicsMvtIII

      \new Staff="LH"
      {
        #(set-accidental-style 'modern)
        \set Staff.extraNatural = ##f
        << \outlineMvtIII \pianoLeftMvtIII \pianoPedalsMvtIII >>
      }

      %\new Dynamics = "pedals" \pianoPedalsMvtIII

    >>
    \layout
    {
      \context
      {
        \type "Engraver_group"
        \name "Dynamics"
        \alias Voice
        \consists "Output_property_engraver"

        \override VerticalAxisGroup #'minimum-Y-extent = #'(-1 . 1)
        pedalSustainStrings = #'("Ped." "*Ped." "*")
        pedalUnaCordaStrings = #'("una corda" "" "tre corde")

        \consists "Piano_pedal_engraver"
        \consists "Script_engraver"
        \consists "Dynamic_engraver"
        \consists "Text_engraver"
        \consists "Text_spanner_engraver"

        %\override TextScript #'font-size = #2
        %\override TextScript #'font-shape = #'italic
        \override TextScript #'extra-offset = #'(0 . 1.75)
        \override DynamicText #'extra-offset = #'(0 . 2.5)
        \override Hairpin #'extra-offset = #'(0 . 2.5)

        \consists "Skip_event_swallow_translator"

        \consists "Axis_group_engraver"
      }
      \context
      {
        \PianoStaff
        \accepts Dynamics
        \override VerticalAlignment #'forced-distance = #7
      }
    }
  }

%-----------------------------------------------------------------------------

  %midi
  \score
  {
    <<
      \new PianoStaff
      <<
        \new Staff="RH"
        {
          << \pianoRightMvtI \pianoDynamicsMvtI \pianoPedalsMvtI >>
          << \pianoRightMvtII \pianoDynamicsMvtII \pianoPedalsMvtII >>
          << \pianoRightMvtIII \pianoDynamicsMvtIII \pianoPedalsMvtIII >>
        }
        \new Staff="LH"
        {
          << \pianoLeftMvtI \pianoDynamicsMvtI \pianoPedalsMvtI >>
          << \pianoLeftMvtII \pianoDynamicsMvtII \pianoPedalsMvtII >>
          << \pianoLeftMvtIII \pianoDynamicsMvtIII \pianoPedalsMvtIII >>
        }
      >>
      {
        << \midiOutlineMvtI \outlineMvtI >>
        << \midiOutlineMvtII \outlineMvtII >>
        << \midiOutlineMvtIII \outlineMvtIII >>
      }
    >>
    \midi { }
  }
}

